=== test/Makefile ===
default:
	@echo `make png`?

png:
	for file in test_*.py; do \
	  python3 $$file; \
	done
	for file in *.png; do convert $$file -trim -resize x200 $$file; done
	for file in *.png; do optipng $$file; done
