=== debian/changelog ===
python-dmsh (0.1.4-3) unstable; urgency=medium

  * relax more test tolerances in tests_relax_tolerance.patch
    to allow arm64 debci to keep up.

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2019 21:10:22 +0800

python-dmsh (0.1.4-2) unstable; urgency=medium

  * debian patch tests_relax_tolerance.patch relaxes test tolerances
    to enable debci tests to pass. Closes: #945769.

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Dec 2019 14:42:45 +0800

python-dmsh (0.1.4-1) unstable; urgency=medium

  * New upstream release
    - versioned Build-Depends: python3-pypathlib (>= 0.1.3)
      (for polygon.diameter = path.diameter)
  * set Debian Science Team as Maintainer
  * add Vcs tags: https://salsa.debian.org/science-team/python-dmsh

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2019 17:50:01 +0800

python-dmsh (0.1.3-2) unstable; urgency=medium

  * debian/tests Depends: python3-matplotlib

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2019 18:04:51 +0800

python-dmsh (0.1.3-1) unstable; urgency=low

  * Initial debian packaging (adapted from files generated by py2dsp)
    Closes: #935908.
  * debian patch test_skip_save.patch skips save-mesh-to-file in
    tests, since meshplex is not currently available.

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Nov 2019 08:16:51 +0800
