=== debian/control ===
Source: python-dmsh
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-numpy,
               python3-pypathlib (>= 0.1.3),
               python3-scipy,
               python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/nschloe/dmsh
Vcs-Browser: https://salsa.debian.org/science-team/python-dmsh
Vcs-Git: https://salsa.debian.org/science-team/python-dmsh.git

Package: python3-dmsh
Architecture: all
Depends:  python3-pypathlib (>= 0.1.3),
 ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: High-quality 2D mesh generator based on distmesh
 dmsh: "The worst mesh generator you'll ever use."
 .
 Inspired by distmesh, dmsh is slow, requires a lot of memory, and
 isn't terribly robust either.
 .
 On the plus side, it's got a usable interface, is pure Python (and
 hence easily installable on any system), and if it works, it produces
 pretty high-quality meshes.
 .
 Combined with optimesh, dmsh produces the highest-quality 2D meshes
 in the west.
 .
 Example capabilities:
  * Primitives
   - circle, rectangle, polygon
   - halfspace
  * Combinations
   - difference
   - nonconstant edge length
   - union
   - intersection
  * Transformations
   - rotation, translation, scaling
  * Local refinement
