=== debian/tests/control ===
Tests: test-dmsh
Depends: python3-dmsh,
 python3-matplotlib,
 python3-numpy
