=== debian/changelog ===
python-dmsh (0.1.10-6) unstable; urgency=medium

  * tests_relax_tolerance.patch: relax test_square_hole_refined.py
    and test_difference.py tolerances further so arm64 can pass tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Apr 2020 13:26:29 +0800

python-dmsh (0.1.10-5) unstable; urgency=medium

  * tests_relax_tolerance.patch: relax tolerance in test_ellipse.py

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 11:38:31 +0800

python-dmsh (0.1.10-4) unstable; urgency=medium

  * debian/tests Depends: python3-pytest (in test_circle.py)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Mar 2020 23:15:08 +0800

python-dmsh (0.1.10-3) unstable; urgency=medium

  * reinstate debian patch tests_relax_tolerance.patch
    (upstream tolerance still fails test_translation.py,
    test_halfspace.py). Relax tolerance for
    test_refinement_point_line.py, test_square_hole_refined.py
    (required for arm64, ppc64el)
  * debian/tests now registers failure when tests fail

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Mar 2020 23:37:24 +0800

python-dmsh (0.1.10-2) unstable; urgency=medium

  * drop debian patch tests_relax_tolerance.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Mar 2020 13:20:52 +0800

python-dmsh (0.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-importlib-metadata, python3-wheel
  * run tests (autopkgtest) with MPLBACKEND=Agg to prevent graphics
    from launching during tests.

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Mar 2020 10:40:38 +0800

python-dmsh (0.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-matplotlib
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Feb 2020 02:27:25 +0800

python-dmsh (0.1.6-2) unstable; urgency=medium

  * debian patch test_no_perfplot.patch drops use of perfplot in
    test_speed.py. perfplot is not available (not yet packaged).
    Closes: #948453.
  * allow-stderr in debian/tests to allow for log messages to stderr
    e.g. "Matplotlib is currently using agg" with MPLBACKEND=Agg

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Jan 2020 12:56:17 +0800

python-dmsh (0.1.6-1) unstable; urgency=medium

  * New upstream release.
  * drop Depends: python3-pypathlib
    (pypathlib is now included in dmsh source)

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Dec 2019 10:06:52 +1100

python-dmsh (0.1.5-2) unstable; urgency=medium

  * relax test tolerance in test_stretch.py
    (debian patch tests_relax_tolerance.patch)

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Dec 2019 16:52:14 +1100

python-dmsh (0.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 Dec 2019 17:01:48 +0800
