=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-importlib-metadata,
+               python3-matplotlib,
                python3-numpy,
-               python3-pypathlib (>= 0.1.3),
                python3-scipy,
                python3-setuptools,
-Standards-Version: 4.4.1
+               python3-wheel
+Standards-Version: 4.5.0
 Homepage: https://github.com/nschloe/dmsh
 Vcs-Browser: https://salsa.debian.org/science-team/python-dmsh
 Vcs-Git: https://salsa.debian.org/science-team/python-dmsh.git
 
 Package: python3-dmsh
 Architecture: all
-Depends:  python3-pypathlib (>= 0.1.3),
- ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: High-quality 2D mesh generator based on distmesh
