=== debian/changelog ===
python-dmsh (0.2.11-3) unstable; urgency=medium

  * tests_relax_tolerance.patch: relax tolerances further

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Feb 2021 11:20:59 +0100

python-dmsh (0.2.11-2) unstable; urgency=medium

  * also, python3-dmsh Depends: python3-meshplex (>= 0.15.8)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Feb 2021 23:17:41 +0100

python-dmsh (0.2.11-1) unstable; urgency=medium

  * New upstream release
    - removes dangling points
    - applies debian patch test_stretch_no_show.patch
    - tightens Build-Depends: python3-meshplex (>= 0.15.8)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Feb 2021 11:49:35 +0100

python-dmsh (0.2.10-1) unstable; urgency=medium

  * New upstream release.
    - fixes edge handling with meshplex 0.15.4.
      Drop debian patch tests_relax_tolerance_meshplex0.15.4.patch
    - Depends: python3-meshplex (>= 0.15.5)

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Dec 2020 09:37:05 +0800

python-dmsh (0.2.9-3) unstable; urgency=medium

  * debian patch tests_relax_tolerance_meshplex0.15.4.patch relaxes
    tolerance to 0.01 for tests broken by meshplex 0.15.4.
    See https://github.com/nschloe/dmsh/issues/57

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Dec 2020 20:02:36 +0800

python-dmsh (0.2.9-2) unstable; urgency=medium

  * reinstate and update debian patch tests_relax_tolerance.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Nov 2020 13:36:26 +0800

python-dmsh (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * update Build-Depends: python3-meshplex (>= 0.15.3) (<< 0.16)
  * Standards-Version: 4.5.1
  * drop debian patch tests_relax_tolerance.patch
    (new reference values provided)

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Nov 2020 23:47:37 +0800

python-dmsh (0.2.8-3) unstable; urgency=medium

  * reinstate debian patch tests_relax_tolerance.patch
    (even with higher precision in reference numbers, tolerances are
    still too tight)

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Nov 2020 11:45:57 +0800

python-dmsh (0.2.8-2) unstable; urgency=medium

  * python3-dmsh versioned Depends: python3-meshplex (>= 0.14.0)

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Nov 2020 02:03:10 +0800

python-dmsh (0.2.8-1) unstable; urgency=medium

  * New upstream release.
    - update versioned Build-Depends: python3-meshplex (>= 0.14.0)
    - applies debian patch remove_console_apps.patch
  * drop debian patch tests_relax_tolerance.patch (precision added
    upstream to reference numbers)

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Nov 2020 09:44:10 +0800

python-dmsh (0.2.3-2) unstable; urgency=medium

  * debian patch tests_relax_tolerance.patch relaxes tolerance in
    test_translation.py

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Oct 2020 21:59:47 +0800

python-dmsh (0.2.3-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends: python3-meshplex
      (drop debian patch test_skip_save.patch)
  * add debian patches
    - setup_python.patch adds setup.py to build the package
    (pybuild is not smart enough to handle pyproject.toml)
    - test_no_exdown.patch skips test_readme.py, since the exdown
      module is not currently available on Debian.
    - test_stretch_no_show.patch sets show=False by default in
      test_stretch.py to avoid excessive status messages
    - remove_console_apps.patch removes console apps
      dmsh-image and dmsh-poly (dmsh.cli does not exist)
  * use pytest in debian/tests (autopkgtest)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Oct 2020 12:15:47 +0800
