## python-dmsh 0.2.18

=== debian/changelog ===
python-dmsh (0.2.18-2) unstable; urgency=medium

  * update debian patch tests_relax_tolerance.patch to relax tolerance
    in test_quarter_annulus and test_refinement_point_line.
    Required to pass tests on arm64, i386.

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jan 2022 23:55:39 +0100

python-dmsh (0.2.18-1) unstable; urgency=medium

  * New upstream release.
    - deprecates debian patch test_no_exdown.patch
    - versioned Build-Depends: python3-meshplex (>= 0.16.0)
  * Build-Depends: pybuild-plugin-pyproject to build from
    pyproject.toml without setup.py.
    - drop debian patch setup_python.patch
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jan 2022 13:50:16 +0100
