=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-importlib-metadata,
  python3-matplotlib,
- python3-meshplex (>= 0.15.8), python3-meshplex (<< 0.16),
+ python3-meshplex (>= 0.16.0),
  python3-numpy,
  python3-scipy,
  python3-setuptools,
  python3-wheel
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/nschloe/dmsh
 Vcs-Browser: https://salsa.debian.org/science-team/python-dmsh
 Vcs-Git: https://salsa.debian.org/science-team/python-dmsh.git
 
 Package: python3-dmsh
 Architecture: all
-Depends: python3-meshplex (>= 0.15.8), ${misc:Depends}, ${python3:Depends}
+Depends: python3-meshplex (>= 0.16.0), ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: High-quality 2D mesh generator based on distmesh
