=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-dmsh-$1.tar.gz%" \
 https://github.com/nschloe/dmsh/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
