## python-dmsh 0.2.19

=== debian/changelog ===
python-dmsh (0.2.19-3) unstable; urgency=medium

  * debian patch pytest_no_return.patch separates object generation
    from tests to avoid returning values from tests, which is
    deprecated in pytest and will give an error in future.
  * Build-Depends: python3-pytest to run tests at build time.
    Use MPLBACKEND=Agg in debian/rules to handle images
    non-interactively
  * run tests with -W ignore::UserWarning to ignore warnings about
    non-Delaunay facet round-off errors
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 May 2025 03:09:50 +0200

python-dmsh (0.2.19-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dependency on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Mon, 05 May 2025 00:48:10 +0200

python-dmsh (0.2.19-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends: flit, python3-npx

 -- Drew Parsons <dparsons@debian.org>  Wed, 02 Mar 2022 10:34:57 +0100
