=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 13),
- dh-python,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ flit,
  pybuild-plugin-pyproject,
  python3-all,
- python3-importlib-metadata,
  python3-matplotlib,
  python3-meshplex (>= 0.16.0),
+ python3-npx,
  python3-numpy,
+ python3-pytest,
  python3-scipy,
  python3-setuptools,
  python3-wheel
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/nschloe/dmsh
 Vcs-Browser: https://salsa.debian.org/science-team/python-dmsh
 Vcs-Git: https://salsa.debian.org/science-team/python-dmsh.git
