=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=dmsh

# ignore warnings about non-Delaunay facet round-off errors
export PYBUILD_TEST_ARGS=-W ignore::UserWarning

# don't treat test images interactively
export MPLBACKEND=Agg

%:
	dh $@ --buildsystem=pybuild
