=== debian/tests/control ===
Test-Command: MPLBACKEND=Agg pytest-3 -W ignore::UserWarning
Depends: python3-dmsh,
 python3-matplotlib,
 python3-pytest
